Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.xpath
Class XPath.PathExpression

    java.lang.Object
      org.modeshape.jcr.xpath.XPath.Component
          org.modeshape.jcr.xpath.XPath.PathExpression

All Implemented Interfaces:
  Iterable<XPath.StepExpression>

Enclosing class:
  XPath

    public static class XPath.PathExpression

extends XPath.Component
implements Iterable<XPath.StepExpression>

Constructor Summary
`XPath.PathExpression(boolean relative, List<XPath.StepExpression> steps, XPath.OrderBy orderBy)`

Method Summary
`XPath.Component` | `collapse()` Return the collapsable form
`boolean` | `equals(Object obj)`
`XPath.StepExpression` | `getLastStep()`
`XPath.OrderBy` | `getOrderBy()` Get the order-by clause.
`List<XPath.StepExpression>` | `getSteps()`
`boolean` | `isRelative()`
`Iterator<XPath.StepExpression>` | `iterator()`
`String` | `toString()`
`XPath.PathExpression` | `withoutFirst()`
`XPath.PathExpression` | `withoutLast()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XPath.PathExpression

    public XPath.PathExpression(boolean relative,
                                List<XPath.StepExpression> steps,
                                XPath.OrderBy orderBy)

Method Detail

### isRelative

    public boolean isRelative()

  Returns:
    relative

### getOrderBy

    public XPath.OrderBy getOrderBy()

  Get the order-by clause.

  Returns:
    the order-by clause, or null if there is no such clause

### getSteps

    public List<XPath.StepExpression> getSteps()

  Returns:
    steps

### getLastStep

    public XPath.StepExpression getLastStep()

### withoutLast

    public XPath.PathExpression withoutLast()

### withoutFirst

    public XPath.PathExpression withoutFirst()

### iterator

    public Iterator<XPath.StepExpression> iterator()

  Specified by:
    `iterator` in interface `Iterable<XPath.StepExpression>`
  See Also:
    `Iterable.iterator()`

### collapse

    public XPath.Component collapse()

  Description copied from class: `XPath.Component`
  Return the collapsable form

  Overrides:
    `collapse` in class `XPath.Component`
  Returns:
    the collapsed form of th is component; never null and possibly the same as this

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`
  See Also:
    `Object.equals(java.lang.Object)`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`
  See Also:
    `Object.toString()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.